Package ru.bitel.oss.kernel.directories.address.common.service

# Interface AddressService

public interface AddressService

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addressEntityDataDelete(AddressEntityType addressEntityType, int recordId)`
  `AddressEntityData`
  `addressEntityDataGet(AddressEntityType addressEntityType, int recordId)`
  `void`
  `addressEntityDataUpdate(AddressEntityData addressEntityData)`
  `List<IdTitle>`
  `addressEntityItems(AddressEntityType addressEntityType, int parentId)`
  `List<ru.bitel.bgbilling.common.model.KeyValue>`
  `addressFormat(EntityAttrAddress attrAddress, EntityType entityType)`
  `void`
  `addressImport(int mode, int id, String data)`
  `void`
  `areaDelete(int id)`
  `Area`
  `areaGet(int id)`
  `List<Area>`
  `areaList(int cityId)`
  `int`
  `areaUpdate(Area area)`
  `boolean`
  `checkGarPluginInstalled()`
  `void`
  `cityDelete(int id)`
  `City`
  `cityGet(int id)`
  `List<City>`
  `cityList(int countryId)`
  `int`
  `cityUpdate(City city)`
  `void`
  `countryDelete(int id)`
  `Country`
  `countryGet(int id)`
  `int`
  `countryUpdate(Country country)`
  `void`
  `extraParamsUpdate(AddressEntityType addressEntityType, int recordId, List<ru.bitel.bgbilling.common.model.KeyValue> values)`
  `HouseCoordinates`
  `getCoordinatesByHouse(int houseId)`
  `HouseData`
  `houseDataGet(int id)`
  `void`
  `houseDelete(int id)`
  `House`
  `houseGet(int id)`
  `String`
  `houseIndexGet(int streetId, String houseAndFrac, int house, String frac)`
  `List<House>`
  `houseList(int cityId, int areaId, int streetId, int quarterId, int house, String frac, Page page)`
  `int`
  `houseUpdate(House house)`
  `String`
  `postIndexGet(int streetId, String houseAndFrac, int house, String frac)`
  `void`
  `quarterDelete(int id)`
  `Quarter`
  `quarterGet(int id)`
  `List<Quarter>`
  `quarterList(int cityId)`
  `int`
  `quarterUpdate(Quarter quarter)`
  `void`
  `saveCoordinates(HouseCoordinates houseCoordinates)`
  `SearchResult<Area>`
  `searchAreaList(int cityId, String title, String searchMode, Page page)`
  `SearchResult<City>`
  `searchCityList(int countryId, String title, String searchMode, Page page)`
  `HouseCoordinates`
  `searchCoordinatesByHouseId(int houseId)`
  `SearchResult<Country>`
  `searchCountryList(String title, String searchMode, Page page)`
  `SearchResult<Quarter>`
  `searchQuarterList(int cityId, String title, String searchMode, Page page)`
  `SearchResult<Street>`
  `searchStreetList(int cityId, String title, String searchMode, Page page)`
  `void`
  `streetDelete(int id)`
  `Street`
  `streetGet(int id)`
  `List<Street>`
  `streetList(int cityId)`
  `List<Street>`
  `streetSearch(int cityId, String title, String cityTitle, Page page)`
  `int`
  `streetUpdate(Street street)`

- ## Method Details

  - ### countryGet

    Country countryGet(int id) throws Exception
    Throws:
      `Exception`

  - ### searchCountryList

    SearchResult<Country> searchCountryList(String title, String searchMode, Page page) throws Exception
    Throws:
      `Exception`

  - ### countryUpdate

    int countryUpdate(Country country) throws Exception
    Throws:
      `Exception`

  - ### countryDelete

    void countryDelete(int id) throws Exception
    Throws:
      `Exception`

  - ### cityGet

    City cityGet(int id) throws Exception
    Throws:
      `Exception`

  - ### searchCityList

    SearchResult<City> searchCityList(int countryId, String title, String searchMode, Page page) throws Exception
    Throws:
      `Exception`

  - ### cityUpdate

    int cityUpdate(City city) throws Exception
    Throws:
      `Exception`

  - ### cityDelete

    void cityDelete(int id) throws Exception
    Throws:
      `Exception`

  - ### cityList

    List<City> cityList(int countryId) throws Exception
    Throws:
      `Exception`

  - ### areaGet

    Area areaGet(int id) throws Exception
    Throws:
      `Exception`

  - ### searchAreaList

    SearchResult<Area> searchAreaList(int cityId, String title, String searchMode, Page page) throws Exception
    Throws:
      `Exception`

  - ### areaUpdate

    int areaUpdate(Area area) throws Exception
    Throws:
      `Exception`

  - ### areaDelete

    void areaDelete(int id) throws Exception
    Throws:
      `Exception`

  - ### areaList

    List<Area> areaList(int cityId) throws Exception
    Throws:
      `Exception`

  - ### streetGet

    Street streetGet(int id) throws Exception
    Throws:
      `Exception`

  - ### searchStreetList

    SearchResult<Street> searchStreetList(int cityId, String title, String searchMode, Page page) throws Exception
    Throws:
      `Exception`

  - ### streetSearch

    List<Street> streetSearch(int cityId, String title, String cityTitle, Page page) throws Exception
    Throws:
      `Exception`

  - ### streetUpdate

    int streetUpdate(Street street) throws Exception
    Throws:
      `Exception`

  - ### streetDelete

    void streetDelete(int id) throws Exception
    Throws:
      `Exception`

  - ### streetList

    List<Street> streetList(int cityId) throws Exception
    Throws:
      `Exception`

  - ### quarterGet

    Quarter quarterGet(int id) throws Exception
    Throws:
      `Exception`

  - ### searchQuarterList

    SearchResult<Quarter> searchQuarterList(int cityId, String title, String searchMode, Page page) throws Exception
    Throws:
      `Exception`

  - ### quarterUpdate

    int quarterUpdate(Quarter quarter) throws Exception
    Throws:
      `Exception`

  - ### quarterDelete

    void quarterDelete(int id) throws Exception
    Throws:
      `Exception`

  - ### quarterList

    List<Quarter> quarterList(int cityId) throws Exception
    Throws:
      `Exception`

  - ### postIndexGet

    String postIndexGet(int streetId, String houseAndFrac, int house, String frac) throws Exception
    Throws:
      `Exception`

  - ### houseGet

    House houseGet(int id) throws Exception
    Throws:
      `Exception`

  - ### houseDataGet

    HouseData houseDataGet(int id) throws Exception
    Throws:
      `Exception`

  - ### houseList

    List<House> houseList(int cityId, int areaId, int streetId, int quarterId, int house, String frac, Page page) throws Exception
    Throws:
      `Exception`

  - ### houseUpdate

    int houseUpdate(House house) throws Exception
    Throws:
      `Exception`

  - ### houseDelete

    void houseDelete(int id) throws Exception
    Throws:
      `Exception`

  - ### addressFormat

    List<ru.bitel.bgbilling.common.model.KeyValue> addressFormat(EntityAttrAddress attrAddress, EntityType entityType) throws Exception
    Throws:
      `Exception`

  - ### houseIndexGet

    String houseIndexGet(int streetId, String houseAndFrac, int house, String frac) throws Exception
    Throws:
      `Exception`

  - ### extraParamsUpdate

    void extraParamsUpdate(AddressEntityType addressEntityType, int recordId, List<ru.bitel.bgbilling.common.model.KeyValue> values) throws Exception
    Throws:
      `Exception`

  - ### addressEntityDataGet

    AddressEntityData addressEntityDataGet(AddressEntityType addressEntityType, int recordId) throws Exception
    Throws:
      `Exception`

  - ### addressEntityDataUpdate

    void addressEntityDataUpdate(AddressEntityData addressEntityData) throws Exception
    Throws:
      `Exception`

  - ### addressEntityDataDelete

    void addressEntityDataDelete(AddressEntityType addressEntityType, int recordId) throws Exception
    Throws:
      `Exception`

  - ### addressEntityItems

    List<IdTitle> addressEntityItems(AddressEntityType addressEntityType, int parentId) throws Exception
    Throws:
      `Exception`

  - ### addressImport

    void addressImport(int mode, int id, String data) throws Exception
    Throws:
      `Exception`

  - ### checkGarPluginInstalled

    boolean checkGarPluginInstalled() throws Exception
    Throws:
      `Exception`

  - ### saveCoordinates

    void saveCoordinates(HouseCoordinates houseCoordinates) throws Exception
    Throws:
      `Exception`

  - ### getCoordinatesByHouse

    HouseCoordinates getCoordinatesByHouse(int houseId) throws Exception
    Throws:
      `Exception`

  - ### searchCoordinatesByHouseId

    HouseCoordinates searchCoordinatesByHouseId(int houseId) throws Exception
    Throws:
      `Exception`